<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 3/11/23

/*!
 * \file
 * \brief display request : received , validate, ...
 * inherited param : $sql_hdl (psql resource) , $cn \Database
 */
global $cn,$gDossier,$g_plugin,$g_access,$g_dir_nform,$g_http;

$nb_row=$cn->size($sql_hdl);

if ( $nb_row == 0) {
    echo_warning("Aucune donnée");
    return;
}
?>
<table class="result" id="request_tb">
    <tr>
    <th>Date</th>
    <th>De </th>
    <th>status</th>
    </tr>
<?php
for ($i=0;$i<$nb_row;$i++) :
    $data=$cn->fetch_array($sql_hdl,$i);
    $class=($i%2==0)?'even':'odd';

?>
    <tr class="<?=$class?>" id="request_row_id<?=$data['dr_id']?>">
        <td>
            <a href="javascript:void(0)" onclick="jsnform.request_detail('<?=$data['dr_id']?>');return false;">
            <?=$data['str_time']?>

            </a>
        </td>
        <td>
            <?=$data['dr_from']?>
        </td>
        <td>
            <?php
            if ( $data['dr_status']=="") echo "non-revu";

            if ( $data['dr_status']=="1") echo "validé";

            if ( $data['dr_status']=="2") echo "transféré en fiche";

            if ( $data['dr_status']=="3") echo "a effacer";
            ?>
        </td>
        <td>
            <?php
            if ($data['fiche_id'] != "") {
                $fiche=new \Fiche($cn,$data['fiche_id']);
                echo \HtmlInput::card_detail($fiche->get_quick_code());
            }
            ?>
        </td>
    </tr>
    <?php
endfor;
?>
</table>
