<?php

namespace Noalyss\Forms;
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 3/11/23
/*! 
 * \file
 * \brief contains some utilities for Noalyss-Form
 */

/*!
 * \class
 * \brief contains some utilities for Noalyss-Form
 */

class Noalyss_Form
{
    static function url_add_param($p_url, $p_string)
    {
        $url = parse_url($p_url);
        if (isset ($url['query']))
            $p_url .= "&" . $p_string;
        else
            $p_url .= "?" . $p_string;


        return $p_url;

    }

    public static function redirect($p_string, $p_time = 0)
    {
        echo <<<EOF
<script>
window.location="$p_string";
</script>
EOF;
    }
}
